#include "exec/types.h"
#include "intuition/intuition.h"
#include "devices/printer.h"
#include "Dump.h"

int DumpRPort(req, rastPort, colorMap, modes, sx, sy, sw, sh, dc, dr, s)
	union printerIO *req ;
	struct RastPort *rastPort;
	struct ColorMap *colorMap;
	ULONG modes;
	UWORD sx, sy, sw, sh;
	LONG dc, dr;
	UWORD s;
{
	req->iodrp.io_Command	= PRD_DUMPRPORT;
	req->iodrp.io_RastPort	= rastPort;
	req->iodrp.io_ColorMap	= colorMap;
	req->iodrp.io_Modes	= modes;
	req->iodrp.io_SrcX	= sx;
	req->iodrp.io_SrcY	= sy;
	req->iodrp.io_SrcWidth	= sw;
	req->iodrp.io_SrcHeight	= sh;
	req->iodrp.io_DestCols	= dc;
	req->iodrp.io_DestRows	= dr;
	req->iodrp.io_Special	= s;
	return(DoIO(req));
}

int OpenPrinter(request)
	union printerIO *request;
{	return(OpenDevice("printer.device", 0, request, 0));
}

int ClosePrinter(request)
	union printerIO *request;
{	return(CloseDevice(request));
}

